<?

sapp_include_once('common.php');

$dbname = sapp_get_param('dbname');
if (empty($dbname)) {
	$dbname = sapp_get_new_db_name('mysql');
}
$dbuser = sapp_get_param('dbuser');
if (empty($dbuser)) {
	$dbuser = sapp_get_new_db_user($dbuser, 'mysql');
}

?>

<fieldset>
	<legend><?=msg('installation_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<tr <?=sapp_is_wrong('install_prefix') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-install_prefix"><?=msg('install_prefix')?> <?=REQ?></label></td>
	<td>
		<input type="text" name="install_prefix" id="fid-install_prefix" value="<?=htmlspecialchars(sapp_get_install_prefix())?>">
		<span class="hint"><?=sapp_is_wrong('install_prefix') ? sapp_get_wrong('install_prefix') : ''?></span>
	</td>
</tr>

</table>

</fieldset>

<fieldset>
	<legend><?=msg('database_preferences')?></legend>

<table class="formFields" width="100%" cellspacing="0">

<tr <?=sapp_is_wrong('dbname') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-dbname"><?=msg('dbname')?> <?=REQ?></label></td>
	<td>
		<input type="text" name="dbname" id="fid-dbname" value="<?=htmlspecialchars($dbname)?>">
		<span class="hint"><?=sapp_is_wrong('dbname') ? sapp_get_wrong('dbname') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('dbuser') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-dbuser"><?=msg('dbuser')?> <?=REQ?></label></td>
	<td>
		<input type="text" name="dbuser" id="fid-dbuser" value="<?=htmlspecialchars($dbuser)?>">
		<span class="hint"><?=sapp_is_wrong('dbuser') ? sapp_get_wrong('dbuser') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('dbpasswd') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-dbpasswd"><?=msg('dbpasswd')?> <?=sapp_get_param('dbpasswd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="dbpasswd" id="fid-dbpasswd" value="">
		<span class="hint"><?=sapp_is_wrong('dbpasswd') ? sapp_get_wrong('dbpasswd') : ''?></span>
	</td>
</tr>

<tr <?=sapp_is_wrong('dbconfirm') ? 'class="error"' : ''?>>
	<td class="name"><label for="fid-dbconfirm"><?=msg('dbconfirm')?> <?=sapp_get_param('dbpasswd') ? '' : REQ?></label></td>
	<td>
		<input type="password" name="dbconfirm" id="fid-dbconfirm" value="">
		<span class="hint"><?=sapp_is_wrong('dbconfirm') ? sapp_get_wrong('dbconfirm') : ''?></span>
	</td>
</tr>

</table>

</fieldset>

